## openni-sensor-primesense 5.1.0.41

=== Platform/Linux/Build/Makefile ===

#/******************************************************************************
#*                                                                             *
#*   PrimeSense Sensor 5.0 Makefile                                            *
#*   Copyright (C) 2010 PrimeSense Ltd.                                        *
#*                                                                             *
#******************************************************************************/
# default config is Release
ifndef CFG
    CFG = Release
endif

# list all modules
ALL_PROJS = \
	XnCore \
	XnFormats \
	XnDDK \
	XnDeviceSensorV2 \
	Utils/XnSensorServer \
	XnDeviceFile \

                
ALL_PROJS_CLEAN = $(foreach proj,$(ALL_PROJS),$(proj)-clean)

# define a function which creates a target for each proj
define CREATE_PROJ_TARGET

.PHONY: $1 $1-clean

$1:
	$(MAKE) -C $1 CFG=$(CFG)

$1-clean: 
	$(MAKE) -C $1 CFG=$(CFG) clean

endef

########### TARGETS ##############

.PHONY: all install uninstall clean

# make all makefiles
all: $(ALL_PROJS)

# create projects targets
$(foreach proj,$(ALL_PROJS),$(eval $(call CREATE_PROJ_TARGET,$(proj))))

# additional dependencies
XnFormats: XnCore
XnDDK: XnCore
XnDDK: XnFormats
XnLeanDeviceSensorV2: XnDDK
XnLeanDeviceSensorV2: XnFormats
XnLeanDeviceSensorV2: XnCore
Utils/XnSensorServer: XnDDK
Utils/XnSensorServer: XnDeviceSensorV2
Utils/XnSensorServer: XnFormats
XnDeviceFile: XnCore
XnDeviceFile: XnDDK
XnDeviceFile: XnFormats

# clean is cleaning all projects
clean: $(ALL_PROJS_CLEAN)

# redist target
redist: all
	cd ../CreateRedist; ./RedistMaker; cd -

# install target
install: redist
	cd ../Redist; ./install.sh; cd -

# uninstall
uninstall: 
	cd ../Redist; ./install.sh -u; cd -

=== Platform/Linux/Build/XnDeviceSensorV2/Makefile ===
SRC_FILES = \
	../../../../Source/XnDeviceSensorV2/*.cpp
	    
LIB_NAME = XnDeviceSensorV2
USED_LIBS = XnCore XnFormats XnDDK OpenNI
DEFINES = XN_DEVICE_EXPORTS

include ../EngineLibMakefile

=== Platform/Linux/Build/XnFormats/Makefile ===
SRC_FILES = \
			../../../../Source/XnFormats/*.cpp \
			../../../../Source/External/LibJPEG/*.c

LIB_NAME = XnFormats
USED_LIBS = XnCore OpenNI
DEFINES = XN_FORMATS_EXPORTS
INC_DIRS = ../../../../Source/External/LibJPEG

include ../EngineLibMakefile

=== debian/changelog ===
openni-sensor-primesense (5.1.0.41-8) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * remove myself from Uploaders

  [ Jochen Sprickerhof ]
  * Update watch file
  * new standards version (no changes needed)
  * remove versioned dependency (version is even in oldstable)
  * Add fix to handle ppc64 and ppc64el architectures.
    Thanks to Frédéric Bonnard (Closes: #875796)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Sep 2017 14:55:06 +0200

openni-sensor-primesense (5.1.0.41-7) unstable; urgency=medium

  * Fix watch file
  * Add patch for reproducible builds.
    Thanks to Reiner Herrmann (Closes: #848295)
  * bump debhelper compat level

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Dec 2016 10:48:26 +0100

openni-sensor-primesense (5.1.0.41-6) unstable; urgency=medium

  * Add patch for mips build.
    Thanks to Daniel Knezevic (Closes: #838295)
  * Update control file

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 19 Sep 2016 21:29:05 +0200

openni-sensor-primesense (5.1.0.41-5) unstable; urgency=medium

  * Add patch for armhf
  * Add patch for arm64 (Closes: #787971), thanks Edmund Grimley Evans
  * update Maintainers and Uploaders.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 08 Jun 2015 15:20:23 +0200

openni-sensor-primesense (5.1.0.41-4) unstable; urgency=low

  * Update Vcs-* fields
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Add Powerpc patch (Closes: #734144), Thanks to Roland Stigge

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 05 Jun 2015 23:47:37 +0200

openni-sensor-primesense (5.1.0.41-3) unstable; urgency=low

  [ Jochen Sprickerhof ]
  * Change dependency to libjpeg-dev
  * added new udev rules for the latest PrimeSense sensors and Kinect 4

  [ Hans-Christoph Steiner ]
  * Initial release (Closes: #628445)

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 29 Nov 2013 15:44:48 -0500

openni-sensor-primesense (5.1.0.41-2) unstable; urgency=low

  * Drop openni-sensor-primesense-bin

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 20 Dec 2012 20:55:45 +0100

openni-sensor-primesense (5.1.0.41-1) unstable; urgency=low

  * Initial test version

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Tue, 06 Nov 2012 18:48:33 +0100

=== debian/control ===
Source: openni-sensor-primesense
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper (>= 10),
               python,
               libjpeg-dev,
               libopenni-dev
Standards-Version: 4.1.0
Section: libs
Homepage: http://www.openni.org
Vcs-Git: https://anonscm.debian.org/cgit/pkg-multimedia/openni-sensor-primesense.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/openni-sensor-primesense.git

Package: libopenni-sensor-primesense-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libopenni-sensor-primesense0 (= ${binary:Version})
Provides: libopenni-sensor-dev
Conflicts: libopenni-sensor-dev
Replaces: libopenni-sensor-dev
Description: headers for working with PrimeSense sensor OpenNI modules
 OpenNI is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. This package provides modules for OpenNI that get the data from
 the PrimeSense camera for processing with the OpenNI Middleware, like
 PrimeSense NITE.
 .
 This package provides the headers for building against these sensor modules.

Package: libopenni-sensor-primesense0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openni-utils
Provides: libopenni-sensor
Conflicts: libopenni-sensor
Replaces: libopenni-sensor
Description: PrimeSense sensor modules for the OpenNI framework
 OpenNI is a framework for getting data to support 'Natural Interaction',
 i.e. skeleton tracking, gesture tracking, and similar ways of getting data
 from humans. This package provides modules for OpenNI that get the data from
 the PrimeSense camera for processing with the OpenNI Middleware, like
 PrimeSense NITE.
 .
 This package includes all of the sensor modules needed to work with the
 PrimeSense camera in OpenNI.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/Stable-(.*)\.tar\.gz/openni-sensor-primesense-$1.tar.gz/ \
  https://github.com/PrimeSense/Sensor/tags .*/Stable-(\d[\d\.]+)\.tar\.gz
